.TH HACK 6 "31 March 1985"
.UC 4
.SH NAME
hack \- exploring The Dungeons of Doom
.SH SYNOPSIS
.B /usr/games/hack
[
.B \-d
.I directory
]
[
.B \-n
]
[
.B \-u
.I playername
]
.br
.B /usr/games/hack
[
.B \-d
.I directory
]
.B \-s
[
.B \-X
]
[
.I playernames
]
.SH DESCRIPTION
.PP
.I Hack
is a display oriented dungeons & dragons - like game.
Both display and command structure resemble rogue.
(For a game with the same structure but entirely different display -
a real cave instead of dull rectangles - try Quest.)
.PP
To get started you really only need to know two commands.  The command
.B ?
will give you a list of the available commands and the command
.B /
will identify the things you see on the screen.
.PP
To win the game (as opposed to merely playing to beat other people high
scores) you must locate the Amulet of Yendor which is somewhere below
the 20th level of the dungeon and get it out.  Nobody has achieved this
yet and if somebody does, he will probably go down in history as a hero
among heroes.
.PP
When the game ends, either by your death, when you quit, or if you escape
from the caves,
.I hack
will give you (a fragment of) the list of top scorers.  The scoring
is based on many aspects of your behavior but a rough estimate is
obtained by taking the amount of gold you've found in the cave plus four
times your (real) experience. Precious stones may be worth a lot of gold
when brought to the exit.
There is a 10% penalty for getting yourself killed.
.PP
The administration of the game is kept in the directory specified with the
.B \-d
option, or, if no such option is given, in the directory specified by
the environment variable HACKDIR, or, if no such variable exists, in
the current directory. This same directory contains several auxiliary
files such as lockfiles and the list of top scorers and a subdirectory
.I save
where games are saved.
The game administrator may however choose to install hack with a fixed
playing ground, usually /usr/games/lib/hackdir.
.PP
The
.B \-n
option suppresses printing of the news.
.PP
The
.B \-u
.I playername
option supplies the answer to the question "Who are you?".
When
.I playername
has as suffix one of
.B \-T \-S \-K \-F \-C \-W
then this supplies the answer to the question "What kind of character ... ?".
.PP
The
.B \-s
option will print out the list of your scores. It may be followed by arguments
.B \-X
where X is one of the letters C, F, K, S, T, W to print the scores of
Cavemen, Fighters, Knights, Speleologists, Tourists or Wizards.
It may also be followed by one or more player names to print the scores of the
players mentioned.
.SH AUTHORS
Jay Fenlason (+ Kenny Woodland, Mike Thome and Jon Payne) wrote the
original hack, very much like rogue (but full of bugs).
.br
Andries Brouwer continuously deformed their sources into the current
version - in fact an entirely different game.
.SH FILES
.DT
.ta \w'data, rumors\ \ \ 'u
hack	The hack program.
.br
data, rumors	Data files used by hack.
.br
help, hh	Help data files.
.br
record	The list of top scorers.
.br
save	A subdirectory containing the saved
.br
	games.
.br
bones_dd	Descriptions of the ghost and
.br
	belongings of a deceased adventurer.
.br
xlock.dd	Description of a dungeon level.
.br
safelock	Lock file for xlock.
.br
record_lock	Lock file for record.
.SH ENVIRONMENT
.DT
.ta \w'HACKPAGER, PAGER\ \ \ 'u
USER or LOGNAME	Your login name.
.br
HOME		Your home directory.
.br
SHELL		Your shell.
.br
TERM		The type of your terminal.
.br
HACKPAGER, PAGER	Pager used instead of default pager.
.br
MAIL	Mailbox file.
.br
MAILREADER	Reader used instead of default.
.br
HACKDIR	Playground.
.br
HACKOPTIONS	String predefining several hack options
.br
	(see help file).
.br

Several other environment variables are used in debugging (wizard) mode,
like GENOCIDED, INVENT, MAGIC and SHOPTYPE.
.SH BUGS
.PP
Probably infinite.
Mail complaints to mcvax!aeb .
